package com.jay.monitor.data.server.models.config;

import java.util.List;

/**
 * @Module 告警
 * @Description 告警配置
 * @Author liukaixiong
 * @Date 2021/1/14 10:55
 */
public class AlertRuleConfigModel {
    /**
     * 最大时长
     */
    private Integer maxTime;

    /**
     * 状态集合[500,504,503]
     */
    private List<Integer> statusList;

    /**
     * 最大返回总数
     *
     */
    private Integer maxResponseCount = 100;

    /**
     * 告警间隔时间 / 秒
     */
    private Integer intervalTime = 300;

    public Integer getIntervalTime() {
        return intervalTime;
    }

    public void setIntervalTime(Integer intervalTime) {
        this.intervalTime = intervalTime;
    }

    public Integer getMaxResponseCount() {
        return maxResponseCount;
    }

    public void setMaxResponseCount(Integer maxResponseCount) {
        this.maxResponseCount = maxResponseCount;
    }

    public Integer getMaxTime() {
        return maxTime;
    }

    public void setMaxTime(Integer maxTime) {
        this.maxTime = maxTime;
    }

    public List<Integer> getStatusList() {
        return statusList;
    }

    public void setStatusList(List<Integer> statusList) {
        this.statusList = statusList;
    }
}
